<template>

    <div class="header">
        <div class="header-content">
            <nav class="header-nav-bar">
                <ul class="nav-bar-list">
                    <li class="nav-bar-link"><a @click="$router.push('/movies')">Главная</a></li>
                    <li class="nav-bar-link" @click="$router.push('/project')"><a>О Проекте</a></li>
                </ul>
            </nav>
            <button @click="this.$router.push('/')" class="login-out-btn">Выйти</button>
        </div>
    </div>

</template>

<script>
    export default {
        name: "Header",

        data:() => ({

        })
    }
</script>

<style lang="scss">
    .header {
        height: 70px;
        background: #ffffff;
        display: flex;

        .header-content {
            display: flex;
            align-items: center;
            justify-content: space-between;
            max-width: 1280px;
            width: 100%;
            margin: 0 auto;

            .header-nav-bar {
                .nav-bar-list {
                    display: flex;
                    padding-left: 0;

                    .nav-bar-link {
                        list-style-type: none;
                        font-size: 20px;
                        color: gray;
                        margin-right: 25px;
                        cursor: pointer;
                        &:hover {
                            opacity: .7;
                            cursor: pointer;
                        }
                    }
                }
            }

            .login-out-btn {
                display: inline-block;
                width: 150px;
                height: 45px;
                background-color: #f44336;
                color: #ffffff;
                outline: none;
                border: none;
                border-radius: 5px;

                &:hover {
                    cursor: pointer;
                    opacity: .7;
                }
            }
        }
    }


</style>